diff --git a/dlls/quartz/tests/vmr7.c b/dlls/quartz/tests/vmr7.c
index 88c82bec0..efc876a84 100644
--- a/dlls/quartz/tests/vmr7.c
+++ b/dlls/quartz/tests/vmr7.c
@@ -1654,7 +1674,7 @@ static void flush_events(void)
 static LRESULT CALLBACK window_proc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam)
 {
     if (winetest_debug > 1)
-        trace("hwnd %p, msg %#x, wparam %#Ix, lparam %#Ix.\n", hwnd, msg, wparam, lparam);
+        trace("hwnd %p, msg %#x, wparam %#lx, lparam %#lx.\n", hwnd, msg, wparam, lparam);
 
     if (wparam == 0xdeadbeef)
         return 0;
@@ -1669,7 +1689,7 @@ static void test_video_window_caption(IVideoWindow *window, HWND hwnd)
     HRESULT hr;
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!wcscmp(caption, L"ActiveMovie Window"), "Got caption %s.\n", wine_dbgstr_w(caption));
     SysFreeString(caption);
 
@@ -1678,11 +1698,11 @@ static void test_video_window_caption(IVideoWindow *window, HWND hwnd)
 
     caption = SysAllocString(L"foo");
     hr = IVideoWindow_put_Caption(window, caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     SysFreeString(caption);
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!wcscmp(caption, L"foo"), "Got caption %s.\n", wine_dbgstr_w(caption));
     SysFreeString(caption);
 
@@ -1696,53 +1716,53 @@ static void test_video_window_style(IVideoWindow *window, HWND hwnd, HWND our_hw
     LONG style;
 
     hr = IVideoWindow_get_WindowStyle(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(style == (WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_OVERLAPPEDWINDOW),
-            "Got style %#lx.\n", style);
+            "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_STYLE);
     ok(style == (WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_OVERLAPPEDWINDOW),
-            "Got style %#lx.\n", style);
+            "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_WindowStyle(window, style | WS_DISABLED);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_HSCROLL);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_VSCROLL);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_MAXIMIZE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_MINIMIZE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_WindowStyle(window, style & ~WS_CLIPCHILDREN);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyle(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#lx.\n", style);
+    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_get_WindowStyleEx(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == WS_EX_WINDOWEDGE, "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == WS_EX_WINDOWEDGE, "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_EXSTYLE);
-    ok(style == WS_EX_WINDOWEDGE, "Got style %#lx.\n", style);
+    ok(style == WS_EX_WINDOWEDGE, "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_WindowStyleEx(window, style | WS_EX_TRANSPARENT);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyleEx(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_EXSTYLE);
-    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#lx.\n", style);
+    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#x.\n", style);
 }
 
 static BOOL CALLBACK top_window_cb(HWND hwnd, LPARAM ctx)
@@ -1773,25 +1793,25 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
     ok(!IsZoomed(hwnd), "Window should not be maximized.\n");
 
     hr = IVideoWindow_put_WindowState(window, SW_SHOWNA);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -1801,14 +1821,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(top == hwnd, "Got top window %p.\n", top);
 
     hr = IVideoWindow_put_WindowState(window, SW_MINIMIZE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_MINIMIZE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_MINIMIZE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(IsIconic(hwnd), "Window should be minimized.\n");
@@ -1816,14 +1836,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_RESTORE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -1831,14 +1851,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_MAXIMIZE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_MAXIMIZE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_MAXIMIZE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should be minimized.\n");
@@ -1846,17 +1866,17 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_RESTORE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_WindowState(window, SW_HIDE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -1864,14 +1884,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_Visible(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -1879,14 +1899,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -1894,14 +1914,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_SHOWNA);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_SetWindowForeground(window, TRUE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
     hr = IVideoWindow_SetWindowForeground(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -1909,7 +1929,7 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(top == hwnd, "Got top window %p.\n", top);
 
     hr = IVideoWindow_SetWindowForeground(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -1918,7 +1938,7 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
 
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
     hr = IVideoWindow_SetWindowForeground(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == our_hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == our_hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -1940,114 +1960,114 @@ static void test_video_window_position(IVideoWindow *window, HWND hwnd, HWND our
     expect_height = rect.bottom - rect.top;
 
     hr = IVideoWindow_put_Left(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_Top(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 0, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 0, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == expect_height, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 0, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 0, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == expect_height, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 0, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == expect_height, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 0, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == expect_height, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_put_Left(window, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == expect_height, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == expect_height, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 10, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 10 + expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == expect_height, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 10, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == 10 + expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == expect_height, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_put_Height(window, 200);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == 200, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == 200, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == 200, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == 200, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 10, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 10 + expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == 200, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 10, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == 10 + expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == 200, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_SetWindowPosition(window, 100, 200, 300, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 100, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 100, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 200, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 200, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == 300, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == 300, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == 400, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == 400, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 100, "Got left %ld.\n", left);
-    ok(top == 200, "Got top %ld.\n", top);
-    ok(width == 300, "Got width %ld.\n", width);
-    ok(height == 400, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 100, "Got left %d.\n", left);
+    ok(top == 200, "Got top %d.\n", top);
+    ok(width == 300, "Got width %d.\n", width);
+    ok(height == 400, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 100, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 200, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 400, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == 600, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 100, "Got window left %d.\n", rect.left);
+    ok(rect.top == 200, "Got window top %d.\n", rect.top);
+    ok(rect.right == 400, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == 600, "Got window bottom %d.\n", rect.bottom);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
@@ -2064,25 +2084,25 @@ static void test_video_window_owner(IVideoWindow *window, HWND hwnd, HWND our_hw
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == GetDesktopWindow(), "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(!(style & WS_CHILD), "Got style %#lx.\n", style);
+    ok(!(style & WS_CHILD), "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_Owner(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(oahwnd == (OAHWND)our_hwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(oahwnd == (OAHWND)our_hwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == our_hwnd, "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok((style & WS_CHILD), "Got style %#lx.\n", style);
+    ok((style & WS_CHILD), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
@@ -2091,31 +2111,31 @@ static void test_video_window_owner(IVideoWindow *window, HWND hwnd, HWND our_hw
     ShowWindow(our_hwnd, SW_HIDE);
 
     hr = IVideoWindow_put_Visible(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     hr = IVideoWindow_put_Owner(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == GetDesktopWindow(), "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(!(style & WS_CHILD), "Got style %#lx.\n", style);
+    ok(!(style & WS_CHILD), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
     ok(top_hwnd == hwnd, "Got top window %p.\n", top_hwnd);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == OATRUE, "Got state %d.\n", state);
 }
 
 struct notify_message_params
@@ -2129,7 +2149,7 @@ static DWORD CALLBACK notify_message_proc(void *arg)
 {
     const struct notify_message_params *params = arg;
     HRESULT hr = IVideoWindow_NotifyOwnerMessage(params->window, (OAHWND)params->hwnd, params->message, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     return 0;
 }
 
@@ -2172,15 +2192,15 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     flush_events();
 
     hr = IVideoWindow_get_MessageDrain(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got window %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got window %#lx.\n", oahwnd);
 
     hr = IVideoWindow_put_MessageDrain(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_MessageDrain(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(oahwnd == (OAHWND)our_hwnd, "Got window %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(oahwnd == (OAHWND)our_hwnd, "Got window %#lx.\n", oahwnd);
 
     for (i = 0; i < ARRAY_SIZE(drain_tests); ++i)
     {
@@ -2189,8 +2209,8 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
         ok(ret, "Expected a message.\n");
         ok(msg.hwnd == our_hwnd, "Got hwnd %p.\n", msg.hwnd);
         ok(msg.message == drain_tests[i], "Got message %#x.\n", msg.message);
-        ok(msg.wParam == 0xdeadbeef, "Got wparam %#Ix.\n", msg.wParam);
-        ok(!msg.lParam, "Got lparam %#Ix.\n", msg.lParam);
+        ok(msg.wParam == 0xdeadbeef, "Got wparam %#lx.\n", msg.wParam);
+        ok(!msg.lParam, "Got lparam %#lx.\n", msg.lParam);
         DispatchMessageA(&msg);
 
         ret = PeekMessageA(&msg, 0, drain_tests[i], drain_tests[i], PM_REMOVE);
@@ -2198,10 +2218,10 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_put_MessageDrain(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_Owner(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     flush_events();
 
@@ -2210,7 +2230,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
      * posted all messages. */
 
     hr = IVideoWindow_NotifyOwnerMessage(window, (OAHWND)our_hwnd, WM_SYSCOLORCHANGE, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     while (PeekMessageA(&msg, 0, 0, 0, PM_REMOVE))
     {
@@ -2219,7 +2239,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_NotifyOwnerMessage(window, (OAHWND)our_hwnd, WM_FONTCHANGE, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     while (PeekMessageA(&msg, 0, 0, 0, PM_REMOVE))
     {
@@ -2256,7 +2276,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_put_Owner(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 }
 
 static void test_video_window_autoshow(IVideoWindow *window, IFilterGraph2 *graph, HWND hwnd)
@@ -2268,41 +2288,41 @@ static void test_video_window_autoshow(IVideoWindow *window, IFilterGraph2 *grap
     IFilterGraph2_QueryInterface(graph, &IID_IMediaControl, (void **)&control);
 
     hr = IVideoWindow_get_AutoShow(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IVideoWindow_put_AutoShow(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OAFALSE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OAFALSE, "Got %d.\n", l);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     IMediaControl_Release(control);
 }
